body {
  background-color: #000;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  font-family: Garamond, serif;
}

h1 {
  font-size: 4rem;
  background: -webkit-linear-gradient(left, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5);
  background: linear-gradient(to right, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

#particles-js {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
}

.particle {
  animation: fall 5s ease-in-out infinite;
  background: #fff;
  border-radius: 50%;
  position: absolute;
  width: 10px;
  height: 10px;
}

@keyframes fall {
  0% { transform: translateY(0px); }
  100% { transform: translateY(1000px); }
}

.triangle-btn-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.triangle-btn {
  position: relative;
  cursor: pointer;
  display: inline-block;
}

.triangle-btn:before {
  content: "";
  transform: rotate(45deg) translate(-50%, -50%);
  position: absolute;
  top: 50%;
  left: 53%;
  width: 0;
  height: 0;
  border-left: 60px solid transparent;
  border-right: 0.1px solid transparent;
  border-top: 60px solid #B76E79;
  margin-top: 110px;
  margin-left: -318px;
  transition: box-shadow 2s;
  animation: pulse 1s infinite;
}

@keyframes pulse {
  0% {
  transform: rotate(45deg) translate(-50%, -50%) scale(1);
  }
  
  50% {
  transform: rotate(45deg) translate(-50%, -50%) scale(1.1);
  }
  
  100% {
  transform: rotate(45deg) translate(-50%, -50%) scale(1);
  }
  }

.triangle-btn:hover:before {
  box-shadow: 0 0 30px rgba(255, 255, 255, 2);
  border-radius: 99%;
}

.triangle-btn:before {
  animation: pulse 1s infinite;
}

#passwordContainer {
  position: fixed;
  top: 20%;
  left: 53%;
  transform: translate(-50%, -50%);
  background: transparent;
  background-color: transparent;
  color: #fff;
  text-align: center;
  border: none;
}

#passwordInput {
  padding: 5px;
  margin-bottom: 5px;
  background-color: transparent;
  width: 100px;
  height: 1.5vh;
  color: #48ff00;
  text-align: center;
  border-radius: 10px;
  border-image: linear-gradient(to right, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5) 1;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
  transition: box-shadow 1s;
}

#passwordInput:hover {
  box-shadow: 0 0 5px #ff00ff, 0 0 20px #00ff00, 0 0 30px #ff00ff, 0 0 40px #00ff00;
}

#submitButton {
  background-color: transparent;
  color: transparent;
  padding: 5px 5px;
  border: none;
  cursor: pointer;
}

.blink-text {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  text-align: center;
  animation: blink 10s infinite, glow 3s infinite alternate;
  font-family: "Courier New", monospace;
  letter-spacing: 2px; 
  font-size: 25px;
  padding: 1px;
  color: #fff;
  box-shadow: 0 0 20px #fff;
  background: rgba(0,0,0,0.1);
  cursor: not-allowed;
  pointer-events: none;
}

@keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes glow {
  0% {border-color: #fff;}
  50% {border-color: #ccc;}  
  100% {border-color: #fff;}
}